This page was created by the IDL library routine `mk_html_help2`.

Last modified: Mon Aug 25 17:13:29 2025.

# Directory Listing of Routines

# projects/SPP/sweap/SPC/L3i/load

- PSP_LOAD_SWP

# Routine Descriptions

## PSP_LOAD_SWP

[List of Routines]

    NAME: PSP_LOAD_SWP

    DESCRIPTION:
     Given a time range (passed to routine or set via the TIMESPAN routine),
     this loader will load the fitting PSP l3i SWEAP data file from the user's
     local directory or from the remote server depending on the preferences set in
     the !psp_sweap variable or passed as keyword options to this routine.

     The Faraday Cup data products include proton density and their uncertainties,
     proton bulk velocity vector, Carrington longitude/latitude data, and
     corresponding data uncertainties and delta values

    KEYWORDS (Optional):
     DOWNLOADONLY: Set this to download files but *not* store data in TPLOT.
     NO_DOWNLOAD:  Set this to use only locally available files. Default is
                     whatever is in the !psp_sweap config.
     NO_UPDATE:    Set this to only download new filenames. Default is whatever
                     is in the !psp_sweap config.
     PATHFORMAT:   (String) Special path format to use if !psp_sweap.remote_data_dir is
                     changed from its default (SPDF@NASA/GSFC)
     TRANGE:       Time range of interest stored as a 2 element array of doubles
                     (as output by timerange()) or strings (as accepted by
                     timerange()). Defaults to the range set in tplot or prompts
                     for date if not yet set.
     TYPE:         (String) Data type to load.
                     Valid options:
                     'spc_l3i': SPC Level 3 data (default)
     VARFORMAT:    Specify a subset of variables to load from the CDF file.
     VERBOSE:      Integer indicating the desired verbosity level.
                   Defaults to value in !psp_sweap.verbose

    KEYWORD OUTPUTS:
     TPLOTNAMES:   Named variable to hold array of TPLOT variable names loaded

    EXAMPLE:
     ; Load all variables for the 3 day period Sep 10-13, 2019
     timespan,'2019-09-10',3
     psp_load_swp

     ; Load and plot just proton density variables for 3 hours on Nov 11, 2018
     trg = ['2018-11-11/12:00:00','2018-11-11/15:00:00']
     psp_load_swp, trange=trg, varformat="*np*"
     tplot,['psp_spc_np_fit','psp_spc_np_moment'],trange=trg

    CREATED BY: Jonathan Tsang, Ayris Narock (ADNET/GSFC) 2020

     $LastChangedBy: anarock $
     $LastChangedDate: 2020-10-27 12:50:05 -0700 (Tue, 27 Oct 2020) $
     $LastChangedRevision: 29302 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/SPP/sweap/SPC/L3i/load/psp_load_swp.pro $

(See projects/SPP/sweap/SPC/L3i/load/psp_load_swp.pro)